Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2689323002: Media: Delete Pause-To-Buffer. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 2 weeks ago by sandersd
Modified:
2 months ago
CC:
apacible+watch_chromium.org, blink-reviews, blink-reviews-api_chromium.org, blink-reviews-html_chromium.org, chromium-reviews, dglazkov+blink, eric.carlson_apple.com, erickung+watch_chromium.org, feature-media-reviews_chromium.org, fs, gasubic, miu+watch_chromium.org, mlamouri+watch-blink_chromium.org, nessy, Srirama, xjz+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Media: Delete Pause-To-Buffer. This code was broken in M52, but nobody has complained, so remove it. Pause-To-Buffer is a consistent source of surprise, and mistakes leading to accidental bandwidth consumption. The new download button is a much better interface (at least in cases where it appears). Review-Url: https://codereview.chromium.org/2689323002 Cr-Commit-Position: refs/heads/master@{#460563} Committed: https://chromium.googlesource.com/chromium/src/+/2f5bb6155b40ff1533e4310f18e294ab34b55f14

Patch Set 1 #

Patch Set 2 : Rebase. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7 lines, -251 lines) Patch
M media/blink/multibuffer_data_source.h View 3 chunks +0 lines, -15 lines 0 comments Download
M media/blink/multibuffer_data_source.cc View 3 chunks +0 lines, -20 lines 0 comments Download
M media/blink/multibuffer_data_source_unittest.cc View 6 chunks +2 lines, -35 lines 0 comments Download
M media/blink/webmediaplayer_impl.h View 1 2 chunks +0 lines, -6 lines 0 comments Download
M media/blink/webmediaplayer_impl.cc View 1 4 chunks +4 lines, -34 lines 0 comments Download
M third_party/WebKit/Source/core/BUILD.gn View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/html/HTMLMediaElement.h View 1 2 chunks +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLMediaElement.cpp View 1 2 chunks +0 lines, -13 lines 0 comments Download
D third_party/WebKit/Source/core/html/HTMLVideoElementTest.cpp View 1 1 chunk +0 lines, -119 lines 0 comments Download
M third_party/WebKit/public/platform/WebMediaPlayer.h View 1 2 chunks +0 lines, -6 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (11 generated)
sandersd
hubbe@: Please check the multibuffer unittest in particular, I wasn't sure exactly what was being ...
3 months, 2 weeks ago (2017-02-13 23:41:35 UTC) #2
DaleCurtis
lgtm!
3 months, 2 weeks ago (2017-02-13 23:45:39 UTC) #3
hubbe
LGTM BUT, it might be premature to delete this. It seems the cache was working ...
3 months, 2 weeks ago (2017-02-14 00:02:54 UTC) #4
DaleCurtis
Ah I didn't realize it was a conditional breakage. Though conditional in this case includes ...
3 months, 2 weeks ago (2017-02-14 00:06:44 UTC) #5
DaleCurtis
(I'm still in favor of removing either way though, this is obscure and with the ...
3 months, 2 weeks ago (2017-02-14 00:07:16 UTC) #6
DaleCurtis
Actually, looks like this behavior is busted even without e-tags. You can test by using ...
3 months, 2 weeks ago (2017-02-14 00:21:21 UTC) #7
mlamouri
I'm a bit worried that this might be used a lot in emerging markets. The ...
3 months, 1 week ago (2017-02-14 16:42:16 UTC) #8
DaleCurtis
I mean, it's definitely not being used a lot right now since it's broken and ...
3 months, 1 week ago (2017-02-14 17:50:13 UTC) #10
chromium-reviews
How do you know it's been broken since July? On Tue, Feb 14, 2017 at ...
3 months, 1 week ago (2017-02-14 18:23:16 UTC) #11
blink-reviews
How do you know it's been broken since July? On Tue, Feb 14, 2017 at ...
3 months, 1 week ago (2017-02-14 18:23:17 UTC) #12
DaleCurtis
I don't know for sure that it was broken that early, but I suspect something ...
3 months, 1 week ago (2017-02-14 18:30:31 UTC) #13
DaleCurtis
On 2017/02/14 at 18:30:31, DaleCurtis wrote: > I don't know for sure that it was ...
3 months, 1 week ago (2017-02-14 19:29:03 UTC) #14
blink-reviews
+Husain On Tue, Feb 14, 2017 at 11:29 AM, <dalecurtis@chromium.org> wrote: > On 2017/02/14 at ...
3 months, 1 week ago (2017-02-14 20:25:40 UTC) #15
chromium-reviews
+Husain On Tue, Feb 14, 2017 at 11:29 AM, <dalecurtis@chromium.org> wrote: > On 2017/02/14 at ...
3 months, 1 week ago (2017-02-14 20:25:40 UTC) #16
hbengali
Dan just pinged me about this. I am comfortable removing it - it's not obvious ...
2 months ago (2017-03-25 00:20:41 UTC) #17
sandersd
dcheng@chromium.org: Please review changes in third_party/WebKit
2 months ago (2017-03-29 00:25:36 UTC) #19
dcheng
lgtm
2 months ago (2017-03-29 17:30:30 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2689323002/20001
2 months ago (2017-03-29 20:51:12 UTC) #27
commit-bot: I haz the power
2 months ago (2017-03-29 22:58:52 UTC) #30
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/2f5bb6155b40ff1533e4310f18e2...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06